Last Comment Bug 495789 - Push SUMO 1.1 release on Thursday, June 11
: Push SUMO 1.1 release on Thursday, June 11
Status: VERIFIED FIXED
June 11th
:
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All Other
: -- normal (vote)
: ---
Assigned To: Jeremy Orem [:oremj]
: matthew zeier [:mrz]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-01 09:02 PDT by Laura Thomson :laura
Modified: 2013-10-09 10:29 PDT (History)
11 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)


Attachments

Description Laura Thomson :laura 2009-06-01 09:02:35 PDT
This is the screencast release (yay for <video>!!!!)

Tag and other required changes for the push are coming.
Comment 1 Laura Thomson :laura 2009-06-01 13:16:54 PDT
Looks like it will be June *9* sorry for typo!  Just want more time for QA.
Comment 2 Paul Craciunoiu [:paulc] 2009-06-01 20:50:24 PDT
Just a note, as per bug 495902, we will need to update htaccess on production, after push (run webroot/htaccess.sh).
Comment 3 E. Cooper [:ecooper] 2009-06-09 11:57:16 PDT
The SQL in https://bugzilla.mozilla.org/attachment.cgi?id=378514 from bug 493895 needs to be run before the 1.1 push.

For reference, bug 495072 can be reviewed for when this was run on SUMO's staging server.
Comment 4 Laura Thomson :laura 2009-06-09 14:54:14 PDT
We want to hold this for two more days.  QA not 100% happy, and if they are not happy, I'm not happy.
Comment 5 Jeremy Orem [:oremj] 2009-06-11 14:01:03 PDT
Can we do this around 630pm?
Comment 6 Stephen Donner [:stephend] 2009-06-11 14:02:36 PDT
(In reply to comment #5)
> Can we do this around 630pm?

I'm almost done testing, and am about to certify -- I'd say go for it, unless anyone else (Laura, David, Eric?) prefers another time.
Comment 7 Laura Thomson :laura 2009-06-11 14:03:21 PDT
630 is excellent for me.
Comment 8 Laura Thomson :laura 2009-06-11 15:36:44 PDT
The tag is
https://svn.mozilla.org/projects/sumo/tags/1.1/1.1_20090611_r27618/

Other items:
1. (see comment #3) The SQL in https://bugzilla.mozilla.org/attachment.cgi?id=378514 from bug 493895 needs to be run

2. (see comment #2) You'll need to run (in webroot/) sudo ./htaccess.sh
Comment 9 matthew zeier [:mrz] 2009-06-11 15:49:23 PDT
This is the only thing for tonight and we're doing a release.  I'm not going to announce this but I believe all the owners/stakeholders are already aware of this change.
Comment 10 Jeremy Orem [:oremj] 2009-06-11 18:45:42 PDT
mysql> INSERT INTO users_permissions (`permName`, `permDesc`, `level`, `type`) values('tiki_p_upload_screencast', 'Can upload screencasts to wiki pages', 'registered', 'wiki');
Query OK, 1 row affected (0.01 sec)
A    webroot/js/wikiplugin_screencast.js
D    webroot/lang/sr-latn
D    webroot/lang/sr
A    webroot/lang/ms
A    webroot/lang/ms/language.php
A    webroot/lang/ms/index.php
A    webroot/lang/sr-LATN
A    webroot/lang/sr-LATN/language.php
A    webroot/lang/sr-LATN/index.php
A    webroot/lang/rm
A    webroot/lang/rm/language.php
A    webroot/lang/rm/index.php
A    webroot/lang/cy
A    webroot/lang/cy/language.php
A    webroot/lang/cy/index.php
U    webroot/lang/langmapping.php
A    webroot/lang/sr-CYRL
A    webroot/lang/sr-CYRL/ChangeLog
A    webroot/lang/sr-CYRL/language.php
A    webroot/lang/sr-CYRL/index.php
U    webroot/tiki-remind_password.php
U    webroot/tiki-newsearch.php
D    webroot/language_files/sr-latn
D    webroot/language_files/sr
A    webroot/language_files/ms
A    webroot/language_files/ms/old.php
A    webroot/language_files/ms/language.php
A    webroot/language_files/ms/index.php
A    webroot/language_files/sr-LATN
A    webroot/language_files/sr-LATN/old.php
A    webroot/language_files/sr-LATN/language.php
A    webroot/language_files/sr-LATN/index.php
A    webroot/language_files/rm
A    webroot/language_files/rm/old.php
A    webroot/language_files/rm/language.php
A    webroot/language_files/rm/index.php
A    webroot/language_files/cy
A    webroot/language_files/cy/old.php
A    webroot/language_files/cy/language.php
A    webroot/language_files/cy/index.php
A    webroot/language_files/sr-CYRL
A    webroot/language_files/sr-CYRL/old.php
A    webroot/language_files/sr-CYRL/ChangeLog
A    webroot/language_files/sr-CYRL/language.php
A    webroot/language_files/sr-CYRL/index.php
U    webroot/language_files/en/language.php
U    webroot/tiki-editpage.php
U    webroot/tiki-feedback.php
U    webroot/minify.php
A    webroot/tiki-upload_screencast_ajax.php
U    webroot/tiki-admin_include_wiki.php
A    webroot/lib/pear/HTTP/WebDAV
A    webroot/lib/pear/HTTP/WebDAV/Tools
A    webroot/lib/pear/HTTP/WebDAV/Tools/_parse_lock_response.php
A    webroot/lib/pear/HTTP/WebDAV/Tools/_parse_propfind_response.php
A    webroot/lib/pear/HTTP/WebDAV/Client.php
A    webroot/lib/pear/HTTP/WebDAV/Client
A    webroot/lib/pear/HTTP/WebDAV/Client/Stream.php
U    webroot/lib/search/sphinxlib.php
A    webroot/lib/wiki-plugins/wikiplugin_screencast.php
U    webroot/lib/wiki-plugins/wikiplugin_showfor.php
U    webroot/lib/setup/prefs.php
A    webroot/lib/webdav
A    webroot/lib/webdav/webdavlib.php
U    webroot/lib/commentslib.php
A    webroot/lib/screencasts
A    webroot/lib/screencasts/screencastlib.php
A    webroot/lib/screencasts/screencast.swf
A    webroot/styles/mozms2
A    webroot/styles/mozms2/sidebar-tb.png
A    webroot/styles/mozms2/sidebar-tb-ie6.png
A    webroot/styles/mozms2/sidebar-new.png
A    webroot/styles/mozms2/sidebar-wtgh.png
A    webroot/styles/mozms2/ie.css
A    webroot/styles/mozms2/ie7.css
A    webroot/styles/mozms2/logo-ff.png
A    webroot/styles/mozms2/sidebar.png
A    webroot/styles/mozms2/searchbar.png
A    webroot/styles/mozms2/sidebar-ie6.png
A    webroot/styles/mozms2/sidebar-sumo.png
A    webroot/styles/mozms2/sidebar-ways.png
A    webroot/styles/mozms2/buttons
A    webroot/styles/mozms2/buttons/btn_bg.jpg
U    webroot/styles/mozms.css
U    webroot/styles/mozcommon.css
U    webroot/styles/mozkb.css
A    webroot/styles/mozcommon/screencast-bar.png
A    webroot/styles/mozcommon/screencast-no-video.png
A    webroot/styles/mozcommon/screencast-player-frame.png
A    webroot/styles/mozcommon/screencast-player-close.png
U    webroot/tiki-view_forum.php
U    webroot/templates/tiki-adminusers.tpl
U    webroot/templates/tiki-newsearch.tpl
U    webroot/templates/tiki-admin-include-wiki.tpl
U    webroot/templates/styles/mozkb/tiki-view_forum.tpl
U    webroot/templates/styles/mozkb/mail/forum_post_notification.tpl
U    webroot/templates/styles/mozkb/comment-body.tpl
U    webroot/templates/styles/mozkb/tiki-editpage.tpl
A    webroot/templates/styles/mozms2
A    webroot/templates/styles/mozms2/tiki-interactive_trans.tpl
A    webroot/templates/styles/mozms2/module.tpl
A    webroot/templates/styles/mozms2/sidebar.tpl
A    webroot/templates/styles/mozms2/modules
A    webroot/templates/styles/mozms2/searchbar.tpl
A    webroot/templates/styles/mozms2/tiki-show_page.tpl
A    webroot/templates/styles/mozms2/tiki-page_bar.tpl
A    webroot/templates/styles/mozms2/index.php
A    webroot/templates/styles/mozms2/tiki.tpl
U    webroot/templates/styles/mozad/tiki-editpage.tpl
U    webroot/templates/styles/mozcommon/searchbar.tpl
U    webroot/htaccess.dist


Caches have also been cleared.
Comment 11 Stephen Donner [:stephend] 2009-06-23 13:24:05 PDT
Verified FIXED; this has been in production happily.

Note You need to log in before you can comment on or make changes to this bug.